:root {
	--col1: #e92e09;
	--col2: #b81f00;
	--col3: #ffe4df;
}

html {
	margin: 0;
	height: 100%;
	background: url(../immagini/carrservice-background-login.jpg) 50% 50% no-repeat;
	background-size: cover;
}
body {
	background: url(../immagini/carrservice-background-login.jpg) 50% 50% no-repeat;
	background-size: cover;
	margin: 0px;
	font-family: "verdana";
	min-height: 100%;
	color: #ccc;
	display: flex;
	align-items: safe center;
	justify-content: safe center;
}
a {text-decoration: none;}

/* tutti i colori usati */
.messaggio, .link_recupero_password { color: #fff }
#contatore span { color: var(--col1); }
.input_wrapper.focus, .checkbox.focus { background: var(--col2); }
#barra_contatore {background: linear-gradient(to bottom, var(--col2) 0%, var(--col1) 34%, var(--col2) 100%); }

#sfondo{
	clear: both;
	max-width: 420px;
	margin: 0 auto;
	position: relative;
	padding-bottom: 120px;
}
#logo {
	background: url("../immagini/logo-negativo.png") no-repeat 50% 50%;
	background-size: contain;
	width: 266px;
	height: 100px;
	margin: auto auto 20px;
}
#main {
	padding: 0px;
	text-align: left;
	position: relative;
	background: #555;
	padding: 30px;
	box-shadow: 0 0 30px rgba(0, 0, 0, 0.5);
}

.icona_login {
	display: block;
	width: 70px;
	margin: 0 auto 0 auto;
}
#titolo{
	font-size: 1.6em;
	font-weight: 500;
	margin: 20px 0px;
	color: #fff;
	padding: 0px 0px 20px 0px;
	border-bottom: 1px solid #ccc;
	text-align: center;
}

.messaggio {
	font-size: 1em;
	text-align: center;
	padding-top: 5px;
	margin-bottom: 30px;
}

#main p {
	position: relative;
}


.icona_svg {
	width: 24px;
	height: 24px;
	vertical-align: middle;
	margin: 0;
}

.input_wrapper {
	display: block;
	height: 24px;
	overflow: hidden;
	margin: 20px 0px;
	width: 280px;
	position: relative;
	background: #777;
	color: #ddd;
	border: 1px solid #555;
	padding: 5px 10px;
	border-radius: 15px;
}
.input_wrapper input {
	font-family: Verdana;
	font-size: 16px;
	position: absolute;
	top: 0;
	bottom: 0;
	left: 0;
	right: 0;
	appearance: none;
	background: transparent;
	border: none;
	color: inherit;
	padding: 0 20px;
}
.input_wrapper input::placeholder {color: rgba(255, 255, 255, 0.4)}
.input_wrapper input:not(:only-child) {
	right: 30px;
}
.input_wrapper a {
	display: flex;
	align-items: center;
	color: inherit;
	position: absolute;
	top: 0;
	bottom: 0;
	right: 20px;
	opacity: 1;
}
.input_wrapper input:not(:focus):placeholder-shown + a {
	pointer-events: none;
	opacity: 0;
}

.input_wrapper .input_testo:hover, 
.input_wrapper .input_testo:focus {
	outline-offset: -50px;
	outline: none;
}

.input_wrapper.focus, .checkbox.focus { 
	color: rgba(255, 255, 255, 0.9)
}


#ricordami {
	padding-bottom: 5px;
	line-height: 22px;
}

.checkbox {
	width: 20px;
	height: 20px;
	background: #777;
	border: 1px solid #000;
	float: left;
	margin: 0px 5px 0px 0px;
	border-radius: 5px;
	overflow: visible;
	box-shadow: 1px 1px 5px rgba(0,0,0, 0.7) inset;
	position: relative;
}

.checkbox.checked:after {
	content: "";
	display: block;
	background: url("../immagini/login/checkmark.png") no-repeat;
	width: 24px;
	height: 24px;
	position: absolute;
	bottom: 3px;
	left: 3px;
}

.bottone {
	display: inline-flex;
	align-items: center;
	justify-content: center;
	gap: 15px;
	box-sizing: border-box;
	text-align: center;
	cursor: pointer;
	font-size: 14px;
	border-radius: 13px;
	padding: 10px 30px;
	background: #fff;
	color: #666;
	border: none;
	border-radius: 3px;
	font-size: 1.4em;
}
.bottone > img {
	height: 26px;
}
.bottone:hover, .bottone:focus {
	background: #ccc;
}
.bottone:active {
	background: #999;
}

.link_recupero_password {
	font-size: 0.8em;
	position: absolute;
	left: 0px;
	top: 9px;
}


#form_recupero_password {
	display: none;
}

#contatore {
	text-align: center;
	margin-bottom: 10px;
	font-size: 1.5em;
}
#contatore span {
	font-size: 1.5em;
	vertical-align: sub;
}

#barra_contatore_wrapper {
	background: #111;
	border-radius: 3px;
	height: 5px;
	border: 1px solid #aaa;
	margin-bottom: 20px;
	overflow: hidden;
}
#barra_contatore {
	width: 0px;
	height: 100%;
}

#torna_al_login {
	text-align: center;
	margin-top: 50px;
}

.requisiti_password {
	list-style-type: none;
	padding: 0;
	margin: 0;
}
.requisiti_password li {
	font-size: 0.8em;
}
.requisiti_password li:before {
	display: inline-block;
	width: 16px;
	height: 10px;
	line-height: 10px;
	font-size: 18px;
	text-align: center;
	content: "\2717";
	color: #dc2c2c;
	vertical-align: middle;
	margin-bottom: 0.25em;
}
.requisiti_password li.soddisfatto:before {
	content: "\2713";
	color: #55de44;
}


/* mobile */
@media screen and (max-width: 660px) {
	#sfondo {
		width: 300px;
		margin: 0px auto;
		padding: 0px;
	}
	#main {
		margin: 0px;
	}
	#titolo {
		font-size: 1.4em;
	}

	.input_wrapper {
		height: 30px;
	}
	.input_wrapper .input_testo {
		width: 258px;
		font-size: 20px;
	}

	.input_wrapper label {
		font-size: 20px;
		right: 15px;
	}

	#ricordami {
		font-size: 14px;
		padding: 5px 0px 10px 0px;
		line-height: 30px;
	}

	.checkbox {
		width: 30px;
		height:  30px;
		margin-top: -1px;
		border-radius: 9px;
	}
	.checkbox.checked:after {
		width: 35px;
		height: 35px;
		background-size: 35px 35px;
		left: 5px;
		bottom: 5px;
	}

	.bottone {
		width: 100%;
		padding: 10px 30px;
		margin-bottom: 25px;
	}

	.link_recupero_password {
		top: 70px;
	}

}
